; general project settings
[project]
; project name
name=dizas
; class Name which shall be used to build collections (must be part of __init__ in bin)
collection_class=IIIFDizasCollection
; class Name which shall be used to build manifests (must be part of __init__ in bin)
manifest_class=IIIFDizasManifest
config_sheet = 1eYBEbYUvRMgSS7La0BSiLNyF8bSGHEpTQYnC0UtifR8
auth_file = /home/iiif/es_iiif_service/iiifafrikaportal-7e3dc9cb627c.json


; hosts urls: must finish with a "/"
[hosts]
; IIIF Image Server Host
imageserver_host = https://ub-sipi.ub.unibas.ch/dizas/
; Host where see also files are available
;seealso_host = https://ub-digiaccess.ub.unibas.ch/access_control/switch/dizas/textilindustrie/
seealso_host = https://ub-resolver.ub.unibas.ch/dizas/
; Elasticsearch-Host for metadata and fulltext search
es_host = http://sb-ues5.swissbib.unibas.ch:8080

; name of ES indices
[index]
; index providing metadata to build manifests and collections
index_manifest = dizas_test
; index providing data for fulltext-search
index_fulltext = dizas_test

; obligatory fields which have to be mapped using IIIF Presentation API (building manifests/collections)
[mapping_manifest]
; field which is used for identifying manifests
manifest_id=zas_id
; field which is used to label a manifest 1:1 relation with manifest_id
manifest_label=title
; field from which canvas ids are built
page_id=jp2_files
; field where pagewidth is stored
pagewidth=width
; field where pageheight is stored
pageheight=height

; obligatory fields which have to be mapped using IIIF Search API
[mapping_fulltext]
; name of field where fulltext is stored, used for querying
fulltext=fulltext
; name of field where words and coordinates are stored, used for extracting coordinates
textcoords=textcoords
; name of field which contains the manifest_id to limit search to some manifests
manifest=zas_id.keyword

; how collections shall be built
[collection]
; fields which are used for aggregating values, each field creates a new level, fields are separated using "/"
collection_structure = zas_id
; fields which are used to sort the collections in the correct order, multiple fields are separated using ","
collection_sort=title

; how manifests shall be built
[manifest]
; fields which are used for building internal manifest structure, each field creates a new level, fields are separated using "/"
manifest_structure = Quelldatum/Quellname
; how many pages shall be in a manifest, if multiple manifests are combined to one
page_limit = 150
; fields which are used to sort the pages in the correct order within a manifest, multiple fields are separated using ","
manifest_sort=Quelldatum,Quellname,jp2_files
